javax.persistence

## Class Persistence

- java.lang.Object
- - javax.persistence.Persistence

-     public class Persistence
      extends Object

  Bootstrap class that is used to obtain an `EntityManagerFactory` in Java SE environments. It may also be used to cause schema generation to occur.

  The `Persistence` class is available in a Java EE container environment as well; however, support for the Java SE bootstrapping APIs is not required in container environments.

  The `Persistence` class is used to obtain a `PersistenceUtil` instance in both Java EE and Java SE environments.

  Since:
    Java Persistence 1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PERSISTENCE_PROVIDER` Deprecated.
    `protected static Set<PersistenceProvider>` | `providers` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Persistence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityManagerFactory` | `createEntityManagerFactory(String persistenceUnitName)` Create and return an EntityManagerFactory for the named persistence unit.
    `static EntityManagerFactory` | `createEntityManagerFactory(String persistenceUnitName, Map properties)` Create and return an EntityManagerFactory for the named persistence unit using the given properties.
    `static void` | `generateSchema(String persistenceUnitName, Map map)` Create database schemas and/or tables and/or create DDL scripts as determined by the supplied properties.
    `static PersistenceUtil` | `getPersistenceUtil()` Return the PersistenceUtil instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PERSISTENCE_PROVIDER

          @Deprecated
          public static final String PERSISTENCE_PROVIDER

      Deprecated.
      This final String is deprecated and should be removed and is only here for TCK backward compatibility
      Since:
        Java Persistence 1.0
      See Also:
        Constant Field Values

    - #### providers

          @Deprecated
          protected static final Set<PersistenceProvider> providers

      Deprecated.
      This instance variable is deprecated and should be removed and is only here for TCK backward compatibility
      Since:
        Java Persistence 1.0

  - ### Constructor Detail

    - #### Persistence

          public Persistence()

  - ### Method Detail

    - #### createEntityManagerFactory

          public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName)

      Create and return an EntityManagerFactory for the named persistence unit.
      Parameters:
        `persistenceUnitName` - the name of the persistence unit
      Returns:
        the factory that creates EntityManagers configured according to the specified persistence unit

    - #### createEntityManagerFactory

          public static EntityManagerFactory createEntityManagerFactory(String persistenceUnitName,
                                                        Map properties)

      Create and return an EntityManagerFactory for the named persistence unit using the given properties.
      Parameters:
        `persistenceUnitName` - the name of the persistence unit
        `properties` - Additional properties to use when creating the factory. These properties may include properties to control schema generation. The values of these properties override any values that may have been configured elsewhere.
      Returns:
        the factory that creates EntityManagers configured according to the specified persistence unit.

    - #### generateSchema

          public static void generateSchema(String persistenceUnitName,
                            Map map)

      Create database schemas and/or tables and/or create DDL scripts as determined by the supplied properties.

      Called when schema generation is to occur as a separate phase from creation of the entity manager factory.

      Parameters:
        `persistenceUnitName` - the name of the persistence unit
        `map` - properties for schema generation; these may also contain provider-specific properties. The value of these properties override any values that may have been configured elsewhere..
      Throws:
        `PersistenceException` - if insufficient or inconsistent configuration information is provided or if schema generation otherwise fails.
      Since:
        Java Persistence 2.1

    - #### getPersistenceUtil

          public static PersistenceUtil getPersistenceUtil()

      Return the PersistenceUtil instance
      Returns:
        PersistenceUtil instance
      Since:
        Java Persistence 2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.